%global npmname simple-swizzle

Name:           nodejs-%{npmname}
Version:        0.2.2
Release:        1%{?dist}
Summary:        Simply swizzle your arguments

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/Qix-/node-simple-swizzle/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-is-arrayish
BuildRequires:  nodejs-should
BuildRequires:  coffee-script

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Swizzle your function arguments; pass in mixed arrays/values
and get a clean array.

%prep
%autosetup -n node-%{npmname}-%{version}

%nodejs_fixdep is-arrayish

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha --compilers coffee:coffee-script/register

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 0.2.2-1
- Initial package for Fedora.
